function [ encoded_stream ] = add_frame( encoded_stream, frame_encoded, type, u, v, n )

        encoded_stream(n).frame_data = frame_encoded;
        encoded_stream(n).frame_type = type;
        encoded_stream(n).motion_vector_x = u;
        encoded_stream(n).motion_vector_y = v;

end

